%define version 20040611
%define release %mkrel 5

#
# NOTE:
#
# 1. When big change is involved (e.g. timidity.cfg change location),
# so that new timidity binray and old patch RPM won't work together,
# increment this number by 1 for all timidity related RPMs
#
# 2. Current config is hand merged from freepats.cfg and crude.cfg,
# so if new version is available, please merge both config, and make
# sure all patch files listed in config file do exist.
#
%define patch_pkg_version 2

Name:		timidity-patch-freepats
Version:	%{version}
Release:	%{release}
Summary:	Free patch set for MIDI audio synthesis
Group:		Sound
License:	GPL
URL:		http://freepats.opensrc.org/
Source0:	http://freepats.opensrc.org/freepats-%{version}.tar.bz2
Source1:	timidity-freepats.cfg.bz2
Source2:	freepats.cfg.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%description
Freepats is a project to create a free and open set of GUS
compatible patches that can be used with softsynths such as
Timidity and WildMidi. They are verified to contain no non-free
restriction. Freepats is distributed under GPL v2 or later, with
the follow exception clause about the relation of MIDI composition
and patches:

=========================================================
As a special exception, if you create a composition which uses
these patches, and mix these patches or unaltered portions of
these patches into the composition, these patches do not by
themselves cause the resulting composition to be covered by the
GNU General Public License. This exception does not however
invalidate any other reasons why the document might be covered
by the GNU General Public License. If you modify these patches,
you may extend this exception to your version of the patches,
but you are not obligated to do so. If you do not wish to do so,
delete this exception statement from your version.
==========================================================

This patch set is of limited quality, because some instruments are
still missing. For personal use, feel free to use other patch sets
(such as eawpatches which has excellent quality, but the site is
no more), or other free soundfonts.

#german
%description -l de
Freepats ist ein Projekt für eine freie und offene Menge der GUS zu schaffen
Patches, die kompatibel mit Softsynths verwendet werden können, wie
Schüchternheit und WildMidi. Sie werden überprüft, die nicht enthalten, die nicht frei
Beschränkung. Freepats ist unter der GPL v2 oder neuer, verteilt mit
Follow Ausnahmeklausel über das Verhältnis von MIDI-Komposition
und Patches:

================================================== =======
Als besondere Ausnahme, wenn Sie eine Komposition, die verwendet
Diese Patches, und mischen Sie diese Patches oder unveränderte Teile
diese Patches in die Komposition, nicht diese Patches nicht durch
selbst verursachen die daraus resultierende Zusammensetzung entscheidet das abgedeckt werden
GNU General Public License. Diese Ausnahme gilt jedoch nicht
ungültig, die aus anderen Gründen, warum das Dokument abgedeckt werden könnten
von der GNU General Public License. Wenn Sie diese Patches zu ändern,
Sie können diese Ausnahme auch auf Ihre Version des Patches,
aber Sie sind nicht verpflichtet, dies zu tun. Wenn Sie dies nicht wünschen, dies zu tun,
löschen Sie diese Ausnahme-Anweisung aus Ihrer Version.
================================================== ========

Dieser Patch setzt der begrenzten Qualität, weil einige Instrumente werden
noch vermisst. Für den persönlichen Gebrauch, nehmen Sie mit anderen Patch-Sets verwenden
(z. B. eawpatches seinen hervorragenden Qualität, aber die Website ist
nicht mehr), oder andere freie Soundfonts.

#french
%description -l fr
	
Freepats est un projet pour créer un jeu libre et ouvert de GUS
compatible avec les correctifs qui peuvent être utilisés avec des synthétiseurs comme le
Timidité et WildMidi. Ils sont vérifiés pour ne contiennent pas non-free
restriction. Freepats est distribué sous licence GPL v2 ou plus tard, avec
le suivi clause d'exception sur la relation de composition MIDI
et des correctifs:

================================================== =======
Comme exception spéciale, si vous créez une composition qui utilise
ces correctifs, et de mélanger ces patches ou des portions non modifiée de
ces patches dans la composition, ces correctifs ne sont pas en
eux-mêmes la cause de la composition résultante d'être couverts par les
GNU General Public License. Cette exception ne saurait toutefois
invalider les autres raisons pour lesquelles le document pourrait être couvert
par la Licence Publique Générale GNU. Si vous modifiez ces correctifs,
vous mai étendre cette exception à votre version des patchs,
mais vous n'êtes pas obligé de le faire. Si vous ne voulez pas le faire,
delete this exception statement from your version.
================================================== ========

Cet ensemble de patch est de qualité limitée, parce que certains instruments sont
toujours portés disparus. Pour une utilisation personnelle, n'hésitez pas à utiliser les jeux autres patchs
(qualité tels que eawpatches qui possède d'excellentes, mais le site est
pas plus), ou d'autres soundfonts libre.

#spanish
%description -l es
	
Freepats es un proyecto para crear un juego libre y abierto de GUS
parches compatibles que se pueden utilizar con SoftSynths como
La timidez y WildMidi. Que se ha verificado que no contiene non-free
restricción. Freepats se distribuye bajo licencia GPL v2 o posterior, con
el seguimiento cláusula de excepción sobre la relación de la composición de MIDI
y los parches:

================================================== =======
Como una excepción especial, si crea una composición que utiliza
estos parches, y mezclar estos parches o partes inalteradas de
estos parches en la composición, estos parches no por la
sí mismas la causa de la composición resultante a ser cubiertos por el
GNU General Public License. Esta excepción no obstante
invalidar cualquier tipo de razones por las cuales el documento podría estar cubierta
por la GNU General Public License. Si modifica estos parches,
usted puede extender esta excepción a su versión de los parches,
pero usted no está obligado a hacerlo. Si usted no desea hacerlo,
eliminar esta declaración excepción de su versión.
================================================== ========

Este conjunto de parches es de calidad limitada, ya que algunos instrumentos se
siguen desaparecidos. Para uso personal, no dude en utilizar otros conjuntos de parches
(calidad, como eawpatches que tiene excelente, pero el sitio es
no más), o de otros fuentes de sonido gratis.

#polish
%description -l pl
Freepats jest projekt stworzenia wolnego i otwartego zestawu GUS
zgodne poprawki, które mogą być używane z softsynths takich jak
Nieśmiałość i WildMidi. Są one weryfikowane, nie zawierają niewolne
ograniczenia. Freepats jest rozpowszechniany na licencji GPL v2 lub później, z
po klauzuli wyłączenia o stosunku składu MIDI
i poprawki:

================================================== =======
Jako wyjątek specjalny, jeśli stworzyć skład, który wykorzystuje
tych poprawek, a następnie wymieszać tych poprawek lub niezmienionym części
tych poprawek w skład tych poprawek nie przez
się przyczyną kompozycja być objęte
GNU General Public License. Wyjątek ten nie ma jednak
unieważni jakichkolwiek innych powodów, dla których dokument może być objęte
przez GNU General Public License. Jeśli zmiany te poprawki,
może przedłużyć ten wyjątek do Twojej wersji poprawki,
ale nie są zobowiązane do tego. Jeśli nie chcesz to zrobić,
usunąć oświadczenie wyjątek od wersji.
================================================== ========

Ten zestaw poprawek jest ograniczona jakości, ponieważ niektóre instrumenty
nadal brakuje. Do użytku osobistego, prosimy o korzystanie z innych zbiorów patch
(takie jak eawpatches który doskonałej jakości, ale strona jest
nie więcej), lub inne bezpłatne SoundFonts.

#serbian
%description -l sr
Фреепатс је пројекат за стварање слободног и отвореног скупа Гус
компатибилне закрпе које се могу користити са софтсынтхс као што су
Стидљивост и УилдМиди. Они су потврдили да не садрже неслободни
ограничења. Фреепатс се дистрибуира под ОЈЛ в2 или касније, са
следи клаузула о изузетак однос за МИДИ композиције
и закрпе:

================================================== =======
Као посебан изузетак, ако креирате композицију која користи
ове закрпе, као и микс ових фластера или непромењен делова
ове закрпе у композицију, ове закрпе не по
сами проузрокују резултат састав да буде покривено
ГНУ Опште јавне лиценце. Овај изузетак се не ипак
поништити и други разлози зашто би документ бити покривена
од стране ГНУ Генерал Публиц Лиценце. Ако измените ове ознаке
можете проширити овај изузетак у своју верзију закрпе,
али нисте обавезни да то учине. Ако не желите да то урадите,
избришете ову изјаву осим од верзије.
================================================== ========

Овај патцх је скуп ограничених квалитета, јер неки инструменти се
још увек недостаје. За личну употребу, слободно користите друге скупове закрпа
(као што еаупатцхес која је одличног квалитета, али сајт
нема више), или друге слободне соундфонтс.

#dutch
%description -l nl
	
Freepats is een project om een vrije en open set van GUS creëren
compatible patches die kunnen worden gebruikt met softsynths zoals
Verlegenheid en WildMidi. Ze worden geverifieerd bevatten geen niet-vrije
beperking. Freepats wordt gedistribueerd onder de GPL v2 of later, met
follow uitzonderingsclausule over de relatie van de MIDI-compositie
en patches:

================================================== =======
Als een speciale uitzondering, als u een compositie die gebruik maakt van
deze patches, en meng deze patches of ongewijzigde delen van
deze patches in de samenstelling, deze patches niet door
zelf veroorzaken de daaruit voortvloeiende samenstelling worden gedekt door de
GNU General Public License. Deze uitzondering geldt echter niet
ongeldigheid van een andere redenen waarom het document kan worden gedekt
de door de GNU General Public License. Als je deze patches te wijzigen,
U kan deze uitzondering op uw versie van de patches,
maar u bent niet verplicht dit te doen. Indien u niet wenst te doen,
verwijder deze uitzondering verklaring van uw versie.
================================================== ========

Deze patch set is van beperkte kwaliteit, omdat sommige instrumenten
nog steeds vermist. Voor persoonlijk gebruik, voel je vrij om andere patch sets gebruik
(zoals eawpatches die heeft een uitstekende kwaliteit, maar de site is
niet meer), of andere gratis soundfonts.

%prep
%setup -q -n freepats

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/timidity/freepats
mkdir -p %{buildroot}%{_sysconfdir}/timidity/freepats
cp -a Drum_000 Tone_000 %{buildroot}%{_datadir}/timidity/freepats/

bzip2 -dc %{SOURCE1} > %{buildroot}%{_sysconfdir}/timidity/timidity-freepats.cfg
bzip2 -dc %{SOURCE2} > %{buildroot}%{_sysconfdir}/timidity/freepats/freepats.cfg

%clean
rm -rf %{buildroot}

%post
%{_sbindir}/update-alternatives --install %{_sysconfdir}/timidity/timidity.cfg timidity.cfg %{_sysconfdir}/timidity/timidity-freepats.cfg 20

ln -fs %{_datadir}/timidity/freepats/Drum_000 %{_sysconfdir}/timidity/freepats/Drum_000
ln -fs %{_datadir}/timidity/freepats/Tone_000 %{_sysconfdir}/timidity/freepats/Tone_000

%preun
if [ "$?" = "0" ]; then
  %{_sbindir}/update-alternatives --remove timidity.cfg %{_datadir}/timidity/timidity-freepats.cfg
fi

%triggerpostun -- TiMidity++ <= 2.13.2-1mdk
%{_sbindir}/update-alternatives --install %{_sysconfdir}/timidity/timidity.cfg timidity.cfg %{_sysconfdir}/timidity/timidity-freepats.cfg 20

if test -x /timidity/freepats/Drum_000; then
rm -Rf %{_sysconfdir}/timidity/freepats/Drum_000
fi
if test -x /timidity/freepats/Tone_000; then
rm -Rf %{_sysconfdir}/timidity/freepats/Tone_000
fi

%files
%defattr(-,root,root)
%doc README COPYING
%config %{_sysconfdir}/timidity/timidity-freepats.cfg
%config %{_sysconfdir}/timidity/freepats
%{_datadir}/timidity/freepats

%changelog
* Sat Sep 14 2013 Ken <lxgator at gmail dot com> 20040611-5pclos2013
- rebuild
- Remove Obsoletes:timidity-instruments < version
- Create new timidity-instruments pkg needed for missing instruments folder/files. 

* Sun Dec 20 2009 maik3531 <maik3531 at yahoo dot de> 20040611-4pclos2010
- add symlink to play midi with gstreamer0.10-wildmidi

* Wed Oct 7 2009 gseaman<gseaman2186@comcast.net> 20040611-3pclos2010
- Build for PCLinuxOS 2007

* Sat Nov 04 2006 Bart the Build Bot <bartbot at pclinuxos dot com> 20040611-2pclos2007
- Build for PCLinuxOS 2007
